<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<mat-card id="printerConfigTemplateSelectEdit" *ngIf="ready"
          [class.read-only]="readOnly">
  <mat-card-header>
    <mat-card-title>{{'voting-material.printer.edit.title' | translate}}</mat-card-title>
    <mat-card-subtitle *ngIf="!readOnly" fxLayout fxLayoutAlign="end">
      <span>{{'global.forms.fields.required' | translate}}</span>
    </mat-card-subtitle>
  </mat-card-header>
  <mat-card-content>
    <form [formGroup]="form" novalidate>
      <div fxLayout="row wrap" fxLayoutGap="25px">
        <mat-form-field fxFlex="50 0 200px">


          <mat-select name="printerTemplate"
                      formControlName="printerTemplate"
                      placeholder="{{'voting-material.printer.edit.form.fields.printer-template.placeholder' | translate}}">
            <mat-option *ngFor="let template of templates" [value]="template.templateName">
              {{ template.templateName }}
            </mat-option>
          </mat-select>

          <mat-error *ngIf="form.get('printerTemplate').hasError('required')">
            <span>{{'global.forms.errors.required' | translate}}</span>
          </mat-error>
        </mat-form-field>
      </div>
    </form>

    <printer-view *ngIf="form.getRawValue().printerTemplate"
                  [printerTemplate]="getTemplateForName(form.getRawValue().printerTemplate)">
    </printer-view>

  </mat-card-content>
  <ng-container *roles="['SELECT_PRINTER_TEMPLATE']">
    <mat-card-actions *ngIf="!readOnly">
      <div fxLayout fxLayoutAlign="end">
        <button mat-raised-button
                id="saveButton"
                color="primary"
                (click)="save()">{{'global.actions.save' | translate | uppercase}}
        </button>
      </div>
    </mat-card-actions>
  </ng-container>

</mat-card>
